mod file;
mod setup;
mod window;
mod worker;
mod physics;
mod graphics;
mod settings;
mod face_crawler;
mod compat_worker;
mod model_physics;
mod model_graphics;
mod physics_worker;
mod graphics_worker;

fn main(){
	let title=format!("Strafe Client v{}",env!("CARGO_PKG_VERSION"));
	#[cfg(target_arch="wasm32")]
	wasm_bindgen_futures::spawn_local(setup::setup_and_start(title));
	#[cfg(not(target_arch="wasm32"))]
	pollster::block_on(setup::setup_and_start(title));
}
